io.undertow.server.handlers.proxy.mod_cluster

## Class VirtualHost

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.VirtualHost

    public class VirtualHost
    extends Object

The virtual host handler.

Author:
  Emanuel Muckenhuber

### Constructor Summary

Constructors
`protected` `VirtualHost()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `registerContext(String path, String jvmRoute, io.undertow.server.handlers.proxy.mod_cluster.Context context)`
`void` `removeContext(String path, String jvmRoute, io.undertow.server.handlers.proxy.mod_cluster.Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VirtualHost

    protected VirtualHost()

### Method Detail

#### registerContext

    public void registerContext(String path,
                                String jvmRoute,
                                io.undertow.server.handlers.proxy.mod_cluster.Context context)

#### removeContext

    public void removeContext(String path,
                              String jvmRoute,
                              io.undertow.server.handlers.proxy.mod_cluster.Context context)